classification
Title: PEP 3121, 384 Refactoring applied to posix module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, vstinner
Priority: normal Keywords: patch, pep3121

Created on 2012-08-16 09:48 by Robin.Schreiber, last changed 2020-06-22 09:23 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
posix_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 09:48
posix_pep3121-384_v1.patch Robin.Schreiber, 2012-12-14 18:56 review
Messages (3)
msg168367 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 09:48
Changes proposed in PEP3121 and PEP384 have now been applied to the posix module!
msg177493 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-12-14 18:56
Updated posixmodule to work with the 3.4 Branch version.
msg372063 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-22 09:23
Fixed by:

commit 1c2fa781560608aa4be50c748d4b3f403cfa5035
Author: Victor Stinner <vstinner@python.org>
Date:   Sun May 10 11:05:29 2020 +0200

    bpo-40549: Convert posixmodule.c to multiphase init (GH-19982)
    
    Convert posixmodule.c ("posix" or "nt" module) to the multiphase
    initialization (PEP 489).
    
    * Create the module using PyModuleDef_Init().
    * Create ScandirIteratorType and DirEntryType with the new
      PyType_FromModuleAndSpec() (PEP 573)
    * Get the module state from ScandirIteratorType and DirEntryType with
      the new PyType_GetModule() (PEP 573)
    * Pass module to functions which access the module state.
    * convert_sched_param() gets a new module parameter. It is now called
      directly since Argument Clinic doesn't support passing the module
      to an argument converter callback.
    * Remove _posixstate_global macro.
History
Date User Action Args
2020-06-22 09:23:50vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg372063

resolution: fixed
stage: resolved
2012-12-14 18:56:14Robin.Schreibersetfiles: + posix_pep3121-384_v1.patch
keywords: + patch
messages: + msg177493
2012-11-08 13:46:10Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:46:04belopolskylinkissue15787 dependencies
2012-08-16 09:48:04Robin.Schreibercreate